org.apache.poi.xslf.usermodel

## Class XSLFSlideShowFactory

- java.lang.Object
- - org.apache.poi.sl.usermodel.SlideShowFactory
  - - org.apache.poi.xslf.usermodel.XSLFSlideShowFactory

-     @Internal
      public class XSLFSlideShowFactory
      extends SlideShowFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.sl.usermodel.SlideShowFactory

      `SlideShowFactory.CreateSlideShow1<T>, SlideShowFactory.CreateSlideShow2<T,U>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.sl.usermodel.SlideShowFactory

      `createHslfByNode, createHslfByPoifs, createXslfByFile, createXslfByStream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLFSlideShowFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLSlideShow` | `create(OPCPackage pkg)` Creates a XMLSlideShow from the given OOXML Package.
    `static XMLSlideShow` | `createSlideShow(java.io.File file, boolean readOnly)` Creates the XMLSlideShow from the given File, which must exist and be readable.
    `static XMLSlideShow` | `createSlideShow(java.io.InputStream stream)` Creates a XMLSlideShow from the given InputStream
    `static XMLSlideShow` | `createSlideShow(OPCPackage pkg)` Creates a XMLSlideShow from the given OOXML Package

    - ### Methods inherited from class org.apache.poi.sl.usermodel.SlideShowFactory

      `create, create, create, create, create, create, create, create, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLFSlideShowFactory

          public XSLFSlideShowFactory()

  - ### Method Detail

    - #### create

          public static XMLSlideShow create(OPCPackage pkg)
                                     throws java.io.IOException

      Creates a XMLSlideShow from the given OOXML Package. This is a convenience method to go along the create-methods of the super class.

      Note that in order to properly release resources the SlideShow should be closed after use.

      Parameters:
        `pkg` - The `OPCPackage` opened for reading data.
      Returns:
        The created SlideShow
      Throws:
        `java.io.IOException` - if an error occurs while reading the data

    - #### createSlideShow

          public static XMLSlideShow createSlideShow(OPCPackage pkg)
                                              throws java.io.IOException

      Creates a XMLSlideShow from the given OOXML Package

      Note that in order to properly release resources the SlideShow should be closed after use.

      Parameters:
        `pkg` - The `OPCPackage` opened for reading data.
      Returns:
        The created SlideShow
      Throws:
        `java.io.IOException` - if an error occurs while reading the data

    - #### createSlideShow

          public static XMLSlideShow createSlideShow(java.io.File file,
                                                     boolean readOnly)
                                              throws java.io.IOException

      Creates the XMLSlideShow from the given File, which must exist and be readable.

      Note that in order to properly release resources theSlideShow should be closed after use.

      Parameters:
        `file` - The file to read data from.
        `readOnly` - If the SlideShow should be opened in read-only mode to avoid writing back changes when the document is closed.
      Returns:
        The created SlideShow
      Throws:
        `java.io.IOException` - if an error occurs while reading the data
        `EncryptedDocumentException` - If the wrong password is given for a protected file

    - #### createSlideShow

          public static XMLSlideShow createSlideShow(java.io.InputStream stream)
                                              throws java.io.IOException

      Creates a XMLSlideShow from the given InputStream

      Note that in order to properly release resources the SlideShow should be closed after use.

      Parameters:
        `stream` - The `InputStream` to read data from.
      Returns:
        The created SlideShow
      Throws:
        `java.io.IOException` - if an error occurs while reading the data

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.